%define module pyasn1

%bcond_with doc

Name:           python-%{module}
Version:        0.4.8
Release:        %mkrel 2
Summary:        ASN.1 types and codecs
License:        BSD
Group:          Development/Python
Url:            http://snmplabs.com/pyasn1/index.html
Source:         http://pypi.io/packages/source/p/pyasn1/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%package -n python3-%{module}
Summary:        ASN.1 types and codecs
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with doc}
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx-rtd-theme
%endif
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This is an implementation of ASN.1 types and codecs in Python 3 programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with doc}
make -C docs html
%endif

%install
%py3_install

%check
# PYTHONPATH is required because the the tests expect python{,3}-pyasn1
# to be installed.
PYTHONPATH="$RPM_BUILD_ROOT%{python3_sitelib}:$PYTHONPATH" %{__python3} setup.py test

%files -n python3-%{module}
%doc CHANGES.rst LICENSE.rst README.md TODO.rst
%if %{with doc}
%doc docs/build/html
%endif
%{python3_sitelib}/*


%changelog
* Sun Mar 13 2022 TerryN <terryn94 at gmail.com>  0.4.8-2pclos2022
- rebuild for python 3.10

* Fri Jan 31 2020 tex - 0.4.8-1pclos2020
- new version: 0.4.8
